switch-priv-modes:
  switch_modes: false
  num_switches: 5
priv-mode:
  mode: u
# with .ctrl instructions- sometimes gives inf loops in spike
#			 - sometimes assertion failed error (even though user template is well within memory limits)

#Test info:
#Intent: To fill cache with unrelated blocks and then do stores and loads (will result in misses) to fill various buffers and then to not use logs of previous accesses, we finally do random LOADS or STORES to RANDOM LINES under a page in a part of memory far off from what has been accessed before.
#If theres a load req. , intuition says it'll check if theres some pending store to same block and load that value directly (not sure, it could stall too if it's successive)
#So, now do store reqs again to unknown places. Now, we have the history of stores and loads (or you can call it "accesses" to blocks) to totally different set of locations. Based on this history one would benefit if there were accesses to one of the locs from previous stores/loads. So, instead of doing that, we now do accesses to very random locs outside what we've accessed so far.
#Additional comments(taken from perf test):
#s5 stores 2048
#slli s5,s5,1;
#First fill cache with certain blocks from memory fully.
#Loop counter for 64*8 lines in the whole cache
#Index increment same pg.
#Now there are the cache is fully filled with blocks we know
#Now stores to the next set of unrelated addresses
#Note- its better to have less addi instructions in between some necessary instrs, so we dont give the processor any time to respond and also to not waste instructions
#Following is stores to 64 successive lines
#Now do load reqs to unrelated addresses for next 64 lines resulting in misses            
#Now, create pending reqs
#Go to far off / near to edge of accessible memory
#Now, we do a lott(~100) of random loads/stores under one page to random lines
#First half pg
#Next half pg


#Cross coverage insertions: branch (bne or beq) after loads ( different access sizes) , branch after store ( involving address)  and store after load ( with different access sizes)
general:
  total_instructions: 1000
  regs_not_use: x1,x2,x0
  custom_trap_handler: false
  code_start_address: 0x80000000
  default_program_exit: false
  delegation: 0x000
isa-instruction-distribution:
  rel_sys: 0
  rel_sys.csr: 0
  rel_rv32i.ctrl: 0
  rel_rv32i.compute: 10
  rel_rv32i.data: 10
  rel_rv32i.fence: 10
  rel_rv64i.compute: 10
  rel_rv64i.data: 10
  rel_rv32m: 10
  rel_rv64m: 10
  rel_rv32a: 10
  rel_rv64a: 10
  rel_rv32f: 0
  rel_rv64f: 0
  rel_rv32d: 0
  rel_rv64d: 0
  rel_rvc.ctrl: 0
  rel_rvc.compute: 10
  rel_rvc.sp: 10
  rel_rvc.data: 10
  rel_rvc.fdata: 0
  rel_rv32c.compute: 10
  rel_rv32c.ctrl: 0
  rel_rv32c.fdata: 0 #Either 32c or 64c
  rel_rv64c.compute: 10
  rel_rv64c.data: 0 #problematic
float-rounding:
  rne: 10
  rtz: 10
  rdn: 10
  rup: 10
  rmm: 10
  dyn: 10
branch-control:
  block-size: 7
  backward-probability: 0.5
recursion-options:
  recursion-enable: false
  recursion-depth: 10
  recursion-calls: 5
access-sections:
#  begin_signature: 0x80090fff,0x800fffff,rw
  begin_signature: 0x80200000,0x80400000,rw #IMPPP use this addr range to prevent misalignments

#It was 0x80090000,0x800fffff,rw
user-functions:
  func1: '{10:"addi sp, sp, -32*REGBYTES;
	       SREG x1,1*REGBYTES(sp);
	       SREG x2,2*REGBYTES(sp);
	       SREG x3,3*REGBYTES(sp);
	       SREG x4,4*REGBYTES(sp);
	       SREG x5,5*REGBYTES(sp);
	       SREG x6,6*REGBYTES(sp);
	       SREG x7,7*REGBYTES(sp);
	       SREG x8,8*REGBYTES(sp);
	       SREG x9,9*REGBYTES(sp);
	       SREG x10,10*REGBYTES(sp);
	       SREG x11,11*REGBYTES(sp);
	       SREG x12,12*REGBYTES(sp);
	       SREG x13,13*REGBYTES(sp);
	       SREG x14,14*REGBYTES(sp);
	       SREG x15,15*REGBYTES(sp);
	       SREG x16,16*REGBYTES(sp);
	       SREG x17,17*REGBYTES(sp);
	       SREG x18,18*REGBYTES(sp);
	       SREG x19,19*REGBYTES(sp);
               SREG x20,20*REGBYTES(sp);
	       SREG x21,21*REGBYTES(sp);
	       SREG x22,22*REGBYTES(sp);
	       SREG x23,23*REGBYTES(sp);
	       SREG x24,24*REGBYTES(sp);
	       SREG x25,25*REGBYTES(sp);
	       SREG x26,26*REGBYTES(sp);
	       SREG x27,27*REGBYTES(sp);
	       SREG x28,28*REGBYTES(sp);
	       SREG x29,29*REGBYTES(sp);
	       SREG x30,30*REGBYTES(sp);
	       SREG x31,31*REGBYTES(sp);
 la t0, begin_signature;
li a3, 0x194fab;
li a4, 0x10fcad;
li a5, 0x1924ac;
li a6, 0xabcaf;
li s5, 2047;
addi s5,s5,1;
li t2, 0;
li a0, 64;
slli a0, a0, 3;
loop_cache_fill:ld t1, 0(t0);
addi t2,t2,1;
addi t0,t0,64;
bne t2, a0, loop_cache_fill;
sb a3, 0(t0);
 sb a4, 64(t0);
 sb a5, 128(t0);
li s3,0;
li s2,80;
dum4:sb a6, 192(t0);
 sb a3, 256(t0);
 sb a4, 320(t0);
 sb a5, 384(t0);
 sb a6, 448(t0);
 sb a3, 512(t0);
 sb a4, 576(t0);
 sb a5, 640(t0);
addi s3,s3,1;
sh s2, 16(t0);
lhu s2, 16(t0);
bne s3,s2, dum4; 
 sb a6, 704(t0);
 sb a3, 768(t0);
 sb a4, 832(t0);
 sb a5, 896(t0);
li s3,0;
li s2,80;
dum2:sb a6, 960(t0);
 sb a3, 1024(t0);
 sb a4, 1088(t0);
 sb a5, 1152(t0);
 sb a6, 1216(t0);
 sb a3, 1280(t0);
 sb a4, 1344(t0);
addi s3,s3,1;
 sw s2, 4(t0);
lwu s2, 4(t0);
bne s3,s2, dum2;
 sb a5, 1408(t0);
 sb a6, 1472(t0);
 sb a3, 1536(t0);
li s3,0;
li s2,80;
dum1:sb a4, 1600(t0);
 sb a5, 1664(t0);
 sb a6, 1728(t0);
 sb a3, 1792(t0);
 sb a4, 1856(t0);
addi s3,s3,1;
sd s2, 16(t0);
ld s2, 16(t0);
bne s3,s2, dum1;
 sb a5, 1920(t0);
 sb a6, 1984(t0);
add t0,t0,s5;
sb a3, 0(t0);
 sb a4, 64(t0);
 sb a5, 128(t0);
 sb a6, 192(t0);
 sb a3, 256(t0);
 sb a4, 320(t0);
 sb a5, 384(t0);
li s3,0;
li s2,80;
dum3:sb a6, 448(t0);
 sb a3, 512(t0);
 sb a4, 576(t0);
 sb a5, 640(t0);
 sb a6, 704(t0);
 lw a6, 704(t0);
beq a6, a3, loop_cache_fill;
 sb a3, 768(t0);
 sb a4, 832(t0);
 sb a5, 896(t0);
 lw a6, 960(t0);
 sw a6, 964(t0);
 sb a3, 1024(t0);
 sb a4, 1088(t0);
 sb a5, 1152(t0);
 sb a6, 1216(t0);
 sb a3, 1280(t0);
addi s3,s3,1;
sb s2, 16(t0);
lbu s2, 16(t0);
bne s3,s2, dum3; 
 sb a4, 1344(t0);
 sb a5, 1408(t0);
 sb a6, 1472(t0);
 sb a3, 1536(t0);
 sb a4, 1600(t0);
lh a4, 1600(t0);
beq a4, a3, loop_cache_fill;
 sb a5, 1664(t0);
 sb a6, 1728(t0);
 sb a3, 1792(t0);
 sb a4, 1856(t0);
 sb a5, 1920(t0);
 sb a6, 1984(t0);
add t0,t0,s5;
lb a3, 0(t0);
 lb a4, 64(t0);
 lb a5, 128(t0);
 lb a6, 192(t0);
 lb a3, 256(t0);
 lb a4, 320(t0);
 lb a5, 384(t0);
 lb a6, 448(t0);
 lb a3, 512(t0);
 lb a4, 576(t0);
 lb a5, 640(t0);
li a4,0;
li a5,0;
la a4, jump_final1;
sw a4, 0(t0);
lwu a5, 0(t0);
jalr a6, 0(a5);
nop;
lb a6, 1216(t0);
 lb a3, 1280(t0);
 lb a4, 1344(t0);
 lb a5, 1408(t0);
 lb a6, 1472(t0);
 lb a3, 1536(t0);
 lb a4, 1600(t0);
 lb a5, 1664(t0);
 lb a6, 1728(t0);
 lb a3, 1792(t0);
jump_final1:lb a6, 704(t0);
 lb a3, 768(t0);
 lb a4, 832(t0);
 lb a5, 896(t0);
 lb a6, 960(t0);
 lb a3, 1024(t0);
 lb a4, 1088(t0);
 lb a5, 1152(t0);
 lb a6, 1216(t0);
 lb a3, 1280(t0);
 sb a3, 1281(t0);
 lb a4, 1344(t0);
 lb a5, 1408(t0);
 lb a6, 1472(t0);
 lb a3, 1536(t0);
 lb a4, 1600(t0);
 ld a5, 1664(t0);
 sd a5, 1672(t0);
 lb a6, 1728(t0);
 lb a3, 1792(t0);
 lb a4, 1856(t0);
 lb a5, 1920(t0);
 lb a6, 1984(t0);
add t0,t0,s5;
lb a3, 0(t0);
 lb a4, 64(t0);
 lb a5, 128(t0);
 lb a6, 192(t0);
 lb a3, 256(t0);
 lb a4, 320(t0);
 lb a5, 384(t0);
 lb a6, 448(t0);
 lb a3, 512(t0);
 lb a4, 576(t0);
 lb a5, 640(t0);
 lb a6, 704(t0);
 lb a3, 768(t0);
 lb a4, 832(t0);
beq a4, a5, loop_cache_fill;
 lb a5, 896(t0);
 lb a6, 960(t0);
 lb a3, 1024(t0);
 lb a4, 1088(t0);
 lb a5, 1152(t0);
 lb a6, 1216(t0);
 lb a3, 1280(t0);
 lh a4, 1344(t0);
 sh a4, 1346(t0);
 lb a5, 1408(t0);
 lb a6, 1472(t0);
 lb a3, 1536(t0);
 lb a4, 1600(t0);
 lb a5, 1664(t0);
 lb a6, 1728(t0);
 lb a3, 1792(t0);
 lb a4, 1856(t0);
 lb a5, 1920(t0);
 lb a6, 1984(t0);
sub t0,t0,s5;
lb a3, 0(t0);
 lb a4, 64(t0);
 lb a5, 128(t0);
 lb a6, 192(t0);
 lb a3, 256(t0);
 lb a4, 320(t0);
 lb a5, 384(t0);
 lb a6, 448(t0);
 lb a3, 512(t0);
 lb a4, 576(t0);
 lb a5, 640(t0);
 lb a6, 704(t0);
 lb a3, 768(t0);
 lb a4, 832(t0);
 lb a5, 896(t0);
 lb a6, 960(t0);
 lb a3, 1024(t0);
 lb a4, 1088(t0);
 lb a5, 1152(t0);
 lb a6, 1216(t0);
 lb a3, 1280(t0);
 lb a4, 1344(t0);
 lb a5, 1408(t0);
 lb a6, 1472(t0);
 lb a3, 1536(t0);
 lb a4, 1600(t0);
 lb a5, 1664(t0);
 lb a6, 1728(t0);
 lb a3, 1792(t0);
 lb a4, 1856(t0);
 lb a5, 1920(t0);
 lb a6, 1984(t0);
add t0,t0,s5;
lb a3, 0(t0);
 lb a4, 64(t0);
 lb a5, 128(t0);
 lb a6, 192(t0);
 lb a3, 256(t0);
 lb a4, 320(t0);
 lb a5, 384(t0);
 lb a6, 448(t0);
 lb a3, 512(t0);
 lb a4, 576(t0);
 lb a5, 640(t0);
 lb a6, 704(t0);
 lb a3, 768(t0);
 lb a4, 832(t0);
 lb a5, 896(t0);
 lb a6, 960(t0);
 lb a3, 1024(t0);
ld a3, 1024(t0);
beq a3, a5, loop_cache_fill;
 lb a4, 1088(t0);
 lb a5, 1152(t0);
 lb a6, 1216(t0);
 lb a3, 1280(t0);
 lb a4, 1344(t0);
 lb a5, 1408(t0);
 lb a6, 1472(t0);
 lb a3, 1536(t0);
 lb a4, 1600(t0);
 lb a5, 1664(t0);
 lb a6, 1728(t0);
 lb a3, 1792(t0);
 lb a4, 1856(t0);
 lb a5, 1920(t0);
 lb a6, 1984(t0);
slli s5,s5,4;
add t0,t0,s5;
sb a3, 896(t0);
 lb a4, 1984(t0);
 lb a5, 128(t0);
 lb a6, 768(t0);
 sb a3, 192(t0);
 lb a4, 1984(t0);
 sb a5, 1408(t0);
li s3,0;
li s2,80;
dum3_1:lb a6, 1792(t0);
 lb a3, 1920(t0);
 sb a4, 128(t0);
 lb a5, 128(t0);
 sb a6, 1216(t0);
 sb a3, 1024(t0);
 sb a4, 448(t0);
 sb a5, 256(t0);
 sb a6, 320(t0);
 sb a3, 1152(t0);
 lb a4, 1280(t0);
 lb a5, 320(t0);
 sb a6, 384(t0);
 lb a3, 1344(t0);
 lb a4, 1024(t0);
 sb a5, 640(t0);
 sb a6, 1280(t0);
 sb a3, 448(t0);
 sb a4, 896(t0);
 lb a5, 1920(t0);
 lb a6, 0(t0);
 sb a3, 960(t0);
 lb a4, 640(t0);
 sb a5, 1280(t0);
 sb a6, 192(t0);
 sb a3, 320(t0);
 lb a4, 1600(t0);
 sb a5, 1472(t0);
 lb a6, 0(t0);
 sb a3, 960(t0);
 sb a4, 960(t0);
 lb a5, 512(t0);
 lb a6, 512(t0);
 lb a3, 1792(t0);
 sb a4, 768(t0);
 lb a5, 0(t0);
 sb a6, 1664(t0);
 lb a3, 1600(t0);
 lb a4, 768(t0);
 lb a5, 0(t0);
 sb a6, 448(t0);
 lb a3, 960(t0);
 lb a4, 640(t0);
 lb a5, 512(t0);
 sb a6, 1728(t0);
 lb a3, 1536(t0);
 lb a4, 448(t0);
 sb a5, 256(t0);
 lb a6, 1984(t0);
 lb a3, 64(t0);
 sb a4, 640(t0);
 lb a5, 832(t0);
 lb a6, 192(t0);
 lb a3, 1984(t0);
 sb a4, 1472(t0);
 sb a5, 896(t0);
 lb a6, 1856(t0);
 sb a3, 0(t0);
 sb a4, 320(t0);
 sb a5, 640(t0);
 sb a6, 1600(t0);
 lb a3, 960(t0);
 sb a4, 1344(t0);
 lb a5, 1920(t0);
 lb a6, 1344(t0);
 lb a3, 1152(t0);
 lb a4, 704(t0);
 lb a5, 576(t0);
 sb a6, 896(t0);
 sb a3, 640(t0);
 lb a4, 1088(t0);
 lb a5, 384(t0);
 lb a6, 1216(t0);
 sb a3, 768(t0);
 lb a4, 896(t0);
 sb a5, 768(t0);
 sb a6, 1536(t0);
 sb a3, 448(t0);
 sb a4, 1664(t0);
 sb a5, 1984(t0);
 lb a6, 832(t0);
 lb a3, 256(t0);
 lb a4, 1280(t0);
 sb a5, 640(t0);
 lb a6, 1280(t0);
 lb a3, 1024(t0);
 lb a4, 1088(t0);
 lb a5, 832(t0);
 lb a6, 1216(t0);
 sb a3, 1664(t0);
 lb a4, 1088(t0);
 sb a5, 1728(t0);
 sb a6, 1792(t0);
 sb a3, 384(t0);
 lb a4, 1600(t0);
 sb a5, 1664(t0);
 sb a6, 1280(t0);
 sb a3, 1088(t0);
 sb a4, 1344(t0);
 sb a5, 512(t0);
 sb a6, 256(t0);
 sb a3, 0(t0);
 sb a4, 1600(t0);
 sb a5, 320(t0);
 lb a6, 1792(t0);
 lb a3, 128(t0);
 sb a4, 1856(t0);
 sb a5, 1088(t0);
 lb a6, 1728(t0);
 sb a3, 1856(t0);
 sb a4, 1216(t0);
 sb a5, 640(t0);
 lb a6, 896(t0);
 lb a3, 768(t0);
 sb a4, 1984(t0);
 sb a5, 768(t0);
 sb a6, 1600(t0);
 lb a3, 1920(t0);
 sb a4, 512(t0);
 sb a5, 320(t0);
 lb a6, 1344(t0);
 lb a3, 1536(t0);
 lb a4, 1408(t0);
 lb a5, 320(t0);
 lb a6, 256(t0);
 lb a3, 64(t0);
 sb a4, 128(t0);
 sb a5, 1792(t0);
 sb a6, 64(t0);
 lb a3, 1600(t0);
 sb a4, 640(t0);
 sb a5, 1216(t0);
 lb a6, 1920(t0);
 lb a3, 1408(t0);
 lb a4, 1664(t0);
 sb a5, 1152(t0);
 lb a6, 1536(t0);
 lb a3, 1280(t0);
 sb a4, 128(t0);
 lb a5, 1984(t0);
 sb a6, 448(t0);
 lb a3, 704(t0);
 lb a4, 256(t0);
 sb a5, 1536(t0);
 lb a6, 1984(t0);
 lb a3, 1536(t0);
 sb a4, 768(t0);
 sb a5, 1856(t0);
 sb a6, 1472(t0);
 lb a3, 960(t0);
 sb a4, 1664(t0);
 sb a5, 768(t0);
 sb a6, 1664(t0);
 lb a3, 640(t0);
 lb a4, 64(t0);
 lb a5, 1728(t0);
 sb a6, 192(t0);
 sb a3, 0(t0);
 lb a4, 1216(t0);
 lb a5, 1920(t0);
 lb a6, 1856(t0);
 sb a3, 1216(t0);
 lb a4, 64(t0);
 sb a5, 640(t0);
 sb a6, 1920(t0);
 sb a3, 192(t0);
addi s3,s3,1;
sb s2, 16(t0);
lbu s2, 16(t0);
bne s3,s2, dum3_1; 
 sb a4, 1152(t0);
 lb a5, 1024(t0);
 lb a6, 576(t0);
 lb a3, 896(t0);
 sb a4, 1664(t0);
 lb a5, 576(t0);
 lb a6, 64(t0);
 sb a3, 1536(t0);
 lb a4, 1408(t0);
 sb a5, 1280(t0);
 lb a6, 1728(t0);
 lb a3, 960(t0);
 lb a4, 1984(t0);
 lb a5, 1664(t0);
 sb a6, 1408(t0);
 sb a3, 1408(t0);
 sb a4, 128(t0);
 lb a5, 0(t0);
 sb a6, 512(t0);
 lb a3, 1472(t0);
 sb a4, 320(t0);
 sb a5, 1536(t0);
 sb a6, 256(t0);
 lb a3, 128(t0);
 sb a4, 1984(t0);
 sb a5, 192(t0);
 sb a6, 448(t0);
addi t0,t0,2047;
addi t0,t0,1;
sb a3, 576(t0);
 sb a4, 64(t0);
 sb a5, 1664(t0);
 lb a6, 896(t0);
 lb a3, 1600(t0);
 sb a4, 896(t0);
 sb a5, 768(t0);
 sb a6, 576(t0);
 lb a3, 448(t0);
 sb a4, 128(t0);
 lb a5, 1600(t0);
 lb a6, 896(t0);
 lb a3, 1280(t0);
 lb a4, 512(t0);
 sb a5, 512(t0);
 sb a6, 1856(t0);
 sb a3, 576(t0);
 lb a4, 512(t0);
 sb a5, 576(t0);
 lb a6, 1984(t0);
 sb a3, 832(t0);
 sb a4, 1920(t0);
 sb a5, 1024(t0);
 sb a6, 1408(t0);
 sb a3, 384(t0);
 lb a4, 1088(t0);
 sb a5, 1024(t0);
 sb a6, 832(t0);
 lb a3, 320(t0);
 lb a4, 1920(t0);
 lb a5, 320(t0);
 lb a6, 1664(t0);
 lb a3, 1856(t0);
 sb a4, 1792(t0);
 sb a5, 512(t0);
 sb a6, 1728(t0);
 sb a3, 1728(t0);
 sb a4, 0(t0);
 sb a5, 1408(t0);
 lb a6, 1088(t0);
 sb a3, 1152(t0);
 sb a4, 128(t0);
 lb a5, 1024(t0);
 lb a6, 1792(t0);
 lb a3, 384(t0);
 lb a4, 896(t0);
 lb a5, 0(t0);
 sb a6, 1792(t0);
 sb a3, 1984(t0);
 sb a4, 1216(t0);
 lb a5, 1344(t0);
 sb a6, 768(t0);
 sb a3, 1408(t0);
 sb a4, 896(t0);
 sb a5, 1088(t0);
 sb a6, 1856(t0);
 sb a3, 1920(t0);
 sb a4, 1408(t0);
 sb a5, 192(t0);
 lb a6, 448(t0);
 lb a3, 576(t0);
 lb a4, 1664(t0);
 lb a5, 1856(t0);
 lb a6, 1984(t0);
 lb a3, 128(t0);
 sb a4, 768(t0);
 sb a5, 640(t0);
 sb a6, 0(t0);
 sb a3, 1536(t0);
 lb a4, 1984(t0);
 sb a5, 192(t0);
 sb a6, 1856(t0);
 lb a3, 1088(t0);
 lb a4, 1728(t0);
 sb a5, 1600(t0);
 lb a6, 896(t0);
 lb a3, 128(t0);
 sb a4, 1024(t0);
 sb a5, 704(t0);
 lb a6, 192(t0);
 lb a3, 1408(t0);
 lb a4, 1856(t0);
 sb a5, 1920(t0);
 sb a6, 1216(t0);
 lb a3, 1088(t0);
 sb a4, 1920(t0);
 sb a5, 1664(t0);
 sb a6, 768(t0);
 lb a3, 640(t0);
 lb a4, 1728(t0);
 sb a5, 0(t0);
 lb a6, 256(t0);
 lb a3, 1536(t0);
 lb a4, 1600(t0);
 sb a5, 576(t0);
 lb a6, 0(t0);
 sb a3, 640(t0);
 lb a4, 1920(t0);
 sb a5, 1216(t0);
 lb a6, 1024(t0);
 sb a3, 448(t0);
 lb a4, 192(t0);
 lb a5, 1792(t0);
 sb a6, 960(t0);
 sb a3, 192(t0);
 sb a4, 576(t0);
 sb a5, 1728(t0);
 sb a6, 1344(t0);
 sb a3, 512(t0);
 lb a4, 704(t0);
 sb a5, 1664(t0);
 lb a6, 1344(t0);
 lb a3, 1920(t0);
 sb a4, 576(t0);
 lb a5, 896(t0);
 lb a6, 128(t0);
 sb a3, 192(t0);
 sb a4, 256(t0);
 lb a5, 1792(t0);
 sb a6, 1344(t0);
 lb a3, 1472(t0);
 sb a4, 1024(t0);
 sb a5, 384(t0);
 lb a6, 1088(t0);
 sb a3, 256(t0);
 lb a4, 1344(t0);
 sb a5, 1920(t0);
 sb a6, 704(t0);
 sb a3, 1216(t0);
 sb a4, 384(t0);
 lb a5, 256(t0);
 lb a6, 1600(t0);
 lb a3, 64(t0);
 lb a4, 768(t0);
 lb a5, 192(t0);
 lb a6, 1088(t0);
 sb a3, 1472(t0);
 sb a4, 1664(t0);
 sb a5, 1728(t0);
 sb a6, 1600(t0);
 lb a3, 192(t0);
 lb a4, 1856(t0);
 sb a5, 1792(t0);
 lb a6, 1472(t0);
 lb a3, 256(t0);
 sb a4, 256(t0);
 sb a5, 1472(t0);
 lb a6, 1664(t0);
 sb a3, 1536(t0);
 sb a4, 768(t0);
 sb a5, 896(t0);
 lb a6, 768(t0);
 sb a3, 1216(t0);
 lb a4, 0(t0);
 lb a5, 960(t0);
 sb a6, 640(t0);
 lb a3, 512(t0);
 lb a4, 1408(t0);
 lb a5, 1216(t0);
 sb a6, 1024(t0);
 sb a3, 1600(t0);
 lb a4, 1536(t0);
 lb a5, 384(t0);
 lb a6, 1024(t0);
 lb a3, 320(t0);
 sb a4, 1024(t0);
 sb a5, 64(t0);
 lb a6, 1344(t0);
 sb a3, 832(t0);
 sb a4, 768(t0);
 sb a5, 192(t0);
 lb a6, 640(t0);
 sb a3, 1408(t0);
 lb a4, 1536(t0);
 lb a5, 1728(t0);
 lb a6, 896(t0);
 sb a3, 832(t0);
 lb a4, 832(t0);
 lb a5, 960(t0);
 lb a6, 960(t0);
 sb a3, 1216(t0);
 lb a4, 320(t0);
 sb a5, 1984(t0);
 lb a6, 1088(t0);
 sb a3, 1344(t0);
 sb a4, 768(t0);
 sb a5, 1024(t0);
 lb a6, 448(t0);
 sb a3, 1920(t0);
 lb a4, 1472(t0);
 lb a5, 1088(t0);
 lb a6, 256(t0);
 sb a3, 1600(t0);
 lb a4, 256(t0);
 sb a5, 1152(t0);
 lb a6, 512(t0);
 lb a3, 768(t0);
 sb a4, 832(t0);
 lb a5, 1216(t0);
 lb a6, 448(t0);
		LREG x1,1*REGBYTES(sp);
		LREG x2,2*REGBYTES(sp);
		LREG x3,3*REGBYTES(sp);
		LREG x4,4*REGBYTES(sp);
		LREG x5,5*REGBYTES(sp);
		LREG x6,6*REGBYTES(sp);
		LREG x7,7*REGBYTES(sp);
		LREG x8,8*REGBYTES(sp);
		LREG x9,9*REGBYTES(sp);
		LREG x10,10*REGBYTES(sp);
		LREG x11,11*REGBYTES(sp);
		LREG x12,12*REGBYTES(sp);
		LREG x13,13*REGBYTES(sp);
		LREG x14,14*REGBYTES(sp);
		LREG x15,15*REGBYTES(sp);
		LREG x16,16*REGBYTES(sp);
		LREG x17,17*REGBYTES(sp);
		LREG x18,18*REGBYTES(sp);
		LREG x19,19*REGBYTES(sp);
		LREG x20,20*REGBYTES(sp);
		LREG x21,21*REGBYTES(sp);
		LREG x22,22*REGBYTES(sp);
		LREG x23,23*REGBYTES(sp);
		LREG x24,24*REGBYTES(sp);
		LREG x25,25*REGBYTES(sp);
		LREG x26,26*REGBYTES(sp);
		LREG x27,27*REGBYTES(sp);
		LREG x28,28*REGBYTES(sp);
		LREG x29,29*REGBYTES(sp);
		LREG x30,30*REGBYTES(sp);
		LREG x31,31*REGBYTES(sp);
		addi sp, sp, +32*REGBYTES;
 "
}'
i-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10
d-cache:
  num_calls: 100
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10
exception-generation:
  ecause00: 0
  ecause01: 0
  ecause02: 0
  ecause03: 0
  ecause04: 0
  ecause05: 0
  ecause06: 0
  ecause07: 0
  ecause08: 0
  ecause09: 0
  ecause10: 0
  ecause11: 0
  ecause12: 0
  ecause13: 0
  ecause14: 0
csr-sections:
  sections: 0x000:0xfff
data-hazards:
  raw_prob: 1
  war_prob: 1
  waw_prob: 1
  num_regs_lookbehind: 3
program-macro:
  pre_program_macro: "add x0,x0,x0"
  post_program_macro: "li gp,1;
 \n sw gp, tohost, t5;
\n fence.i;
\n li t6,  0x20000;
 \n la t5, begin_signature;
 \n sw t5, 0(t6);
 \n la t5, end_signature \n sw t5, 8(t6);
 \n sw t5,  12(t6);
"      
  pre_branch_macro: "add x0,x0,x0"
  post_branch_macro: "add x0,x0,x0"
  ecause00: "random"
  ecause01: "random"
  ecause02: "random"
  ecause03: "random"
  ecause04: "random"
  ecause05: "random"
  ecause06: "random"
  ecause07: "random"
  ecause08: "random"
  ecause09: "random"
  ecause10: "random"
  ecause11: "random"
  ecause12: "random"
  ecause13: "random"
  ecause14: "random"
